<?php
namespace Magento\SaaSCommon\Model\ExportFeed;

/**
 * Interceptor class for @see \Magento\SaaSCommon\Model\ExportFeed
 */
class Interceptor extends \Magento\SaaSCommon\Model\ExportFeed implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\SaaSCommon\Model\Http\Command\SubmitFeed $submitFeed, \Magento\Framework\Event\ManagerInterface $eventManager, \Magento\SaaSCommon\Model\DataFilter $dataFilter)
    {
        $this->___init();
        parent::__construct($submitFeed, $eventManager, $dataFilter);
    }

    /**
     * {@inheritdoc}
     */
    public function export(array $data, \Magento\DataExporter\Model\Indexer\FeedIndexMetadata $metadata) : \Magento\DataExporter\Model\FeedExportStatus
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'export');
        return $pluginInfo ? $this->___callPlugins('export', func_get_args(), $pluginInfo) : parent::export($data, $metadata);
    }
}
